openoffice-api mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Andrea Pescetti <pesce...@apache.org>
Subject Re: Description.xml/Version propper user
Date Mon, 04 May 2015 06:22:39 GMT
On 02/05/2015 Alexandro Colorado wrote:
> My biggest concern is that the
> extension manager 'catch' the published updates correctly with the
> extension site.

Internally, this used to work this way (and probably still does): the 
Extensions site advertises the latest version of its extensions (like, 
it says, the latest version of hunspell.dictionary.english -this is a 
made-up identifier- is 2015.05.01); OpenOffice does the comparison and 
if it determines that the installed version is "older" then it proposed 
the update.

In short: if you install version 0.9, then you upload version 0.10, the 
Extensions site will advertise that the latest version is 0.10; but 
OpenOffice will consider 0.9 to be "newer" (comes later in alphabetical 
order) than 0.10 and won't ask you to update. Using a date-based schema 
solved all these issues for me. This is why I use and recommend it.

Regards,
   Andrea.

---------------------------------------------------------------------
To unsubscribe, e-mail: api-unsubscribe@openoffice.apache.org
For additional commands, e-mail: api-help@openoffice.apache.org


Mime
View raw message